Author Topic: Seamonkey versions  (Read 1200 times)

Andi B.

  • Sr. Member
  • ****
  • Thank You
  • -Given: 1
  • -Receive: 15
  • Posts: 400
    • View Profile
Re: Seamonkey versions
« Reply #15 on: October 18, 2018, 07:55:43 am »
Don't forget to Remove the .; in front of LIBPATH and place it after the  x:\usr\local\lib;x:\usr\lib (or at the end).

Rich Walsh

  • Jr. Member
  • **
  • Thank You
  • -Given: 1
  • -Receive: 6
  • Posts: 66
  • ONU! (OS/2 is NOT Unix!)
    • View Profile
Re: Seamonkey versions
« Reply #16 on: October 18, 2018, 03:34:22 pm »
Usually built with -O3, maximum optimization, the plain r3 version. People asked for other versions to test, the r3_O2 version is built with -O2, highly optimized but often safer (stabler) and the r3_s  version is built with -Os, optimized for size, then speed, perhaps best on memory restrained systems.
As I said, they were sort of experimental as someone questioned my using -O3 so I built the others for comparison. The seamonkey-2.42.9esr_r3.en-US.os2.zip is probably the best.

As Dave knows, I was the one who was whining about over-optimization, so he obliged me with the several variants he mentioned above. Although I tried all 3 versions, I settled on the -O2 build because that's what I wanted in the first place.

I don't know if it was the choice of optimization or the fact that Dave built these with gcc 5.x rather than gcc 4.x, but this is the most stable version of any mozapp I've ever run. I installed it on June 6th and have yet to get a .TRP (crash) report in my SM directory. Of course, the thing still has many, many problems - but to go for 4 months without a crash is still extremely impressive. Thanks, Dave.

Pete

  • Hero Member
  • *****
  • Thank You
  • -Given: 1
  • -Receive: 28
  • Posts: 679
    • View Profile
Re: Seamonkey versions
« Reply #17 on: October 18, 2018, 05:30:58 pm »
Hi

Not sure which of the variants I have installed... Is there any way of discovering this from the installed package?

I ask because I see the occasional crash which does not generate a trp file and does not appear in popuplog.os2


Regards

Pete

Dave Yeo

  • Hero Member
  • *****
  • Thank You
  • -Given: 9
  • -Receive: 110
  • Posts: 1611
    • View Profile
Re: Seamonkey versions
« Reply #18 on: October 18, 2018, 05:44:08 pm »
about:buildconfig
Code: [Select]
c++ 5.3.0 -idirafter g:/OS2TK45/h -Wall -Wempty-body -Woverloaded-virtual -Wsign-compare -Wwrite-strings -Wno-invalid-offsetof -Wcast-align -fno-exceptions -fno-strict-aliasing -Zomf -fno-rtti -fno-exceptions -fno-math-errno -std=gnu++0x -pthread -DNDEBUG -DTRIMMED -g -march=i686 -O3 -fomit-frame-pointer

Note the -O3 after -march=i686.

Interestingly, I recently was having problems with SM vanishing. I ran a session with 2.35 and then went back to 2.42.9 and things are once again stable. Perhaps something got corrupted in my old profile and 2.35 fixed it, or just coincidence.

Pete

  • Hero Member
  • *****
  • Thank You
  • -Given: 1
  • -Receive: 28
  • Posts: 679
    • View Profile
Re: Seamonkey versions
« Reply #19 on: October 20, 2018, 02:25:34 am »
Hi Dave

Thanks, currently using a -Os version; Will have to give the -O2 version a try.


Regards

Pete

Micky

  • Newbie
  • *
  • Thank You
  • -Given: 0
  • -Receive: 0
  • Posts: 27
    • View Profile
Re: Seamonkey versions
« Reply #20 on: October 20, 2018, 11:14:00 pm »
What means: Could not load XPCOM? I have this problem with ecomstation 2.2 en beta.

seamonkey-2.42.9esr.en-US.os2
seamonkey-2.42.9esr_r3.en-US.os2

I installed all necessary libs and files.


Micky

Dave Yeo

  • Hero Member
  • *****
  • Thank You
  • -Given: 9
  • -Receive: 110
  • Posts: 1611
    • View Profile
Re: Seamonkey versions
« Reply #21 on: October 21, 2018, 01:30:49 am »
What means: Could not load XPCOM? I have this problem with ecomstation 2.2 en beta.

seamonkey-2.42.9esr.en-US.os2
seamonkey-2.42.9esr_r3.en-US.os2

I installed all necessary libs and files.


Micky

It's not finding part of its runtime or supporting DLLs. Are you sure you don't have duplicates hiding somewhere? Are you sure you got the latest versions? Though that would likely give you a sys2070.
How did you install all the needed libs?

Micky

  • Newbie
  • *
  • Thank You
  • -Given: 0
  • -Receive: 0
  • Posts: 27
    • View Profile
Re: Seamonkey versions
« Reply #22 on: October 21, 2018, 11:23:19 pm »
I have Firefox ESR 10.0.12 and Thunderbird ESR 10.0.12. Both of them use the Xcom. And I have Seamonkey 2.14 installed.


Micky

Dave Yeo

  • Hero Member
  • *****
  • Thank You
  • -Given: 9
  • -Receive: 110
  • Posts: 1611
    • View Profile
Re: Seamonkey versions
« Reply #23 on: October 22, 2018, 12:39:35 am »
Did you read the README.OS2? In particular the installation section? The newer SeaMonkey etc need a lot more supporting libs, namely
Quote
libstdc++6 nspr nss libicu pixman cairo pango fontconfig freetype libkai
libvpx libjpeg-turbo libpng zlib bzip2 hunspell libcx

Micky

  • Newbie
  • *
  • Thank You
  • -Given: 0
  • -Receive: 0
  • Posts: 27
    • View Profile
Re: Seamonkey versions
« Reply #24 on: October 22, 2018, 12:56:20 am »
Yes, I do. I installed all of those libs. Seamonkey could not find Xcom.


Micky

Dave Yeo

  • Hero Member
  • *****
  • Thank You
  • -Given: 9
  • -Receive: 110
  • Posts: 1611
    • View Profile
Re: Seamonkey versions
« Reply #25 on: October 22, 2018, 03:04:15 am »
As I said, not finding xpcom is a generic error, we don't even have an xpcom dll any more.
Did you use yum or ANPM to install the libraries? You could get pmdll from hobbes and use it to check that all the DLLs are loaded and that there aren't any wrong ones on your LIBPATH. Load xul.dll to check.

Micky

  • Newbie
  • *
  • Thank You
  • -Given: 0
  • -Receive: 0
  • Posts: 27
    • View Profile
Re: Seamonkey versions
« Reply #26 on: October 23, 2018, 09:41:01 pm »
I usr yum install.

I corrected some libs that was not in the libpath. Pmdll shows me, I use Xpcom.dll, that Mozrmi36.dll is not in the libpath. But I did not have this dll.


Micky

Dave Yeo

  • Hero Member
  • *****
  • Thank You
  • -Given: 9
  • -Receive: 110
  • Posts: 1611
    • View Profile
Re: Seamonkey versions
« Reply #27 on: October 24, 2018, 01:28:36 am »
We are talking about 2.42.9ESR right? There is no xpcom.dll any longer and hasn't been for a while. It is now part of xul.dll. There is old code that refers to it when it can not find something, not very informative. I've never heard of Mozrmi36.dll and it is not a dependency on any version of SeaMonkey that I know of.

Eric Erickson

  • Newbie
  • *
  • Thank You
  • -Given: 1
  • -Receive: 0
  • Posts: 26
    • View Profile
Re: Seamonkey versions
« Reply #28 on: November 07, 2018, 12:55:19 am »
What is the difference?

seamonkey-2.42.9esr_r3_O2.en-US.os2   
seamonkey-2.42.9esr_r3_s.en-US.os2

And where might these be found?

Dave Yeo

  • Hero Member
  • *****
  • Thank You
  • -Given: 9
  • -Receive: 110
  • Posts: 1611
    • View Profile
Re: Seamonkey versions
« Reply #29 on: November 07, 2018, 01:27:41 am »